org.apache.jmeter

## Class DynamicClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.jmeter.DynamicClassLoader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class DynamicClassLoader
      extends java.net.URLClassLoader

  This is a basic URL classloader for loading new resources dynamically. It allows public access to the addURL() method. It also adds a convenience method to update the current thread classloader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicClassLoader(java.net.URL[] urls)`
    `DynamicClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent)`
    `DynamicClassLoader(java.net.URL[] urls, java.lang.ClassLoader parent, java.net.URLStreamHandlerFactory factory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addURL(java.net.URL url)`
    `static void` | `updateLoader(java.net.URL[] urls)`

    - ### Methods inherited from class java.net.URLClassLoader

      `close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicClassLoader

          public DynamicClassLoader(java.net.URL[] urls)

    - #### DynamicClassLoader

          public DynamicClassLoader(java.net.URL[] urls,
                                    java.lang.ClassLoader parent)

    - #### DynamicClassLoader

          public DynamicClassLoader(java.net.URL[] urls,
                                    java.lang.ClassLoader parent,
                                    java.net.URLStreamHandlerFactory factory)

  - ### Method Detail

    - #### addURL

          public void addURL(java.net.URL url)

      Overrides:
        `addURL` in class `java.net.URLClassLoader`

    - #### updateLoader

          public static void updateLoader(java.net.URL[] urls)

      Parameters:
        `urls` - - list of URLs to add to the thread's classloader

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.